Announcement

Collapse
No announcement yet.

Problem with Android Target SDK

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    Problem with Android Target SDK

    So originally I made the target SDK of my game to be 23 and published it on the google store. The problem is that permissions are not requested when the game is installed (I assume because there is no support for target SDK 23 in UE4?) and so save games do not work.

    It works perfectly when I change the target SDK to 22 however I am unable to upload a lower target SDK to the google store because I have already published the app. I am using UE4 version 11.2, has this problem been resolved in version 12?

    Otherwise, any suggestions?

    #2
    We do not support SDK 23 yet (see the sticky'd post in this forum). The target SDK setting controls the assumed features supported by the application and it shouldn't be set higher than 22 at the moment. As you discovered, 23 requires all permissions to be handled every time a feature is used because the user may revoke it at any time and these changes have not been made yet.

    As for the google store issue, you will need to contact Google and see if anything can be done; I don't think there is any way for you to handle it other than changing the package name and app id, then remove the old one.

    Comment

    Working...
    X